Subject: [Dime] Retransmission of Pending Requests on Failover

From: B Venkat S R Swamy <[email-masked]>
Date: Wed, 30 Sep 2009 14:38:23 +0530

Hi

As per section 5.5.4 of the RFC 3588, it is mentioned that:

"In the event that a transport failure is detected with a peer, it is necessary for all pending request messages to be forwarded to an alternate agent, if possible."

However in the same section, it is also written that:
"An example of a case where it is not possible to forward the message to an alternate server is when the message has a fixed destination, and
 the unavailable peer is the message's final destination (see    Destination-Host AVP)."

Now does that mean that in case of session based interfaces, wherein after the response to the Start CCR, the diameter client is aware of the Destination-Host and hence for subsequent messages such as Interim/Stop CCR there should not be any retransmission of these session messages to secondary peer if the primary peer is down.

In a scenario where primary peer is able to replicate session contexts to secondary peer, it should be possible to retransmit the interim/stop CCR request to secondary peer, in case primary peer is down.

Would request Diameter gurus to clarify the above doubt.

regards

B. Venkat S.R Swamy

________________________________
"DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of the individual to whom it is addressed. It may contain privileged or confidential information and should not be circulated or used for any purpose other than for what it is intended. If you have received this message in error,please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for loss or damage arising from the use of the information transmitted by this email including damage from virus."